Taslak Çizgi

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Line and the translation is 12% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
FreeCAD.png
Next: Wire Draft Wire.svg Arrow-right.svg

Draft Line.svg Çizgi

Menü konumu
Taslak → Çizgi
Tezgahlar
Taslak, Mimari
Varsayılan kısayol
L I
Versiyonda tanıtıldı
0.7
Ayrıca bkz
Tel,Nokta

Description

Tanım

Çizgi aracı, tanımlanan iki nokta arasına bir çizgi çizer. Tepsi deki Çizgi stili setini kullanır. Çizgi aracı, iki noktadan sonra durması dışında, Tel aracı gibi davranır.

A Draft Line is in fact a Draft Wire with only two points.

Draft Line example.jpg

Çizgi, iki noktayla oluşturulur

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

Nasıl kullanılır

  1. Draft Line.svg Çizgi düğmesine basın veya L ardından I tuşları.
  2. 3D görünümde bir ilk noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın.
  3. 3D görünümünde ikinci bir noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

Seçenekler

  • Verilen eksendeki ikinci noktayı kısıtlamak için ilk noktadan sonra X, Y veya Z tuşlarına basın.
  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın.
    • Noktanın kutupsal koordinatlarını "Uzunluk" ve "Açı" değerlerini vererek de tanımlayabilirsiniz. İşaretçiyi belirtilen açıyla sınırlamak için "Açı" nın yanındaki onay kutusunu tıklayın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Draft AddPoint.svg Nokta ekle düğmesine basabilirsiniz.
  • Görecelimoduna geçmek için R tuşuna basın veya onay kutusunu tıklayın. Göreceli mod açıksa, ikinci noktanın koordinatları birincisine göredir; değilse, kesindir, kökenlerinden alınır (0,0,0).
  • Devammoduna geçmek için T tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, ikinci nokta verdikten sonra Satır aracı yeniden başlatılır ve böylece araç düğmesine tekrar basmadan başka bir satır parçası çizmenize izin verir.
  • snapping noktanızı mesafeden bağımsız olarak, en yakın çeki konumuna yönlendirmek için çizim yaparken Ctrl tuşunu basılı tutun.
  • İlk noktanıza göre ikinci noktanızı yatay veya dikey olarak constrain çizerken Shift tuşunu basılı tutun.
  • Ctrl + Z tuşuna basınız veya sonuncuyu geri almak için Draft UndoLine.png Undo düğmesine basınız. puan.
  • Geçerli komutu iptal etmek için Esc veya Close düğmesine basınız.

Notes

Ağaç görünümündeki öğeye çift tıklayarak veya Draft Edit.svg Düzenle düğmesine basılarak çizgi düzenlenebilir. Ardından noktaları yeni bir konuma getirebilirsiniz.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates, lengths and angles: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial focus of the task panel to the Length input box: Edit → Preferences... → Draft → General settings → Draft tools options → Set focus on Length instead of X coordinate. Note that you must move the pointer in the 3D view for the change to take effect.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Line instead of a Draft Line.

Properties

Özellikler

Bir Çizgi nesnesi tel 'deki tüm özellikleri paylaşır, ancak bu özelliklerin yalnızca bazıları Çizgi için geçerlidir.

Scripting

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Çizgi aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

line = make_line(p1, p2)
line = make_line(LineSegment)
line = make_line(Shape)
  • Her biri p1 ve p2 noktaları arasında, her biri FreeCAD.Vector ile milimetre cinsinden birimler arasında tanımlanan bir Line nesnesi oluşturur.
  • Bir Part.LineSegment 'dan bir Line nesnesi oluşturur.
  • Verilen Shape 'nin ilk köşesinden son köşesine kadar bir Line nesnesi oluşturur.

Örnek:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 500, 0)
p3 = App.Vector(-250, -500, 0)
p4 = App.Vector(500, 1000, 0)

line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p3, p4)

doc.recompute()